View Issue Details

IDProjectCategoryView StatusLast Update
0037487LazarusIDEpublic2020-08-06 06:50
ReporterMartin Assigned ToDmitry Boyarintsev  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionno change required 
PlatformiMac 27'' 5KOSmacOS 
Product Version2.0.10 
Summary0037487: Lazarus crash after new compilation ([ClientApplication lclSyncCheck:]: unrecognized selector)
DescriptionHello,

I am relatively new to Lazarus.

The following problem: to integrate a package (fpCEF3), I have to recompile Lazarus after compiling the package to integrate the package.

Both compiling the package (Package -> Compile) and recompiling Lazarus (Package -> Use -> Install) basically works.

But: after recompiling Lazarus, Lazarus crashes when I want to start the IDE again.

Crash cause: *** Terminating app due to uncaught exception 'NSInvalidArgumentException', reason: '- [ClientApplication lclSyncCheck:]: unrecognized selector sent to instance 0x600000123f20'

The same thing happens if I don't integrate a new package but only recompile the IDE under "Configure Build Lazarus".
I also explicitly set up "Target OS" and "Target CPU" there - with the same result.

I have been sitting on this problem for weeks, searched both this and the English-language forum, searched for similar problems via the web search - but unfortunately did not find anything similar.

During this time I have installed / updated Lazarus and FPC several times. Unfortunately without a positive result.

Recompiling Lazarus is - if I see it correctly - a standard thing, isn't it?

I would be very happy about a tip ...

Greetings & many thanks in advance
Martin
Steps To Reproduce1.) Launch the Lazarus IDE.
2.) Select "Configure Build Lazarus".
3.) Press the "Build" button. Lazarus will be compiled.
4.) Quit Lazarus (if "Restart..." is activated").
5.) Launch Lazarus again. It crahes.
Additional InformationmacOS 10.13.6 (High Sierra)
Lazarus 2.0.10, FPC 3.2.0
Package CEF3 V3.3029.1
TagsNo tags attached.
Fixed in Revision63693
LazTarget-
WidgetsetCocoa
Attached Files

Activities

Martin

2020-08-05 11:22

reporter  

Lazarus Crash.rtf (51,504 bytes)   
{\rtf1\ansi\ansicpg1252\cocoartf1561\cocoasubrtf610
{\fonttbl\f0\fswiss\fcharset0 Helvetica;}
{\colortbl;\red255\green255\blue255;}
{\*\expandedcolortbl;;}
\paperw11900\paperh16840\margl1440\margr1440\vieww16300\viewh19520\viewkind0
\pard\tx566\tx1133\tx1700\tx2267\tx2834\tx3401\tx3968\tx4535\tx5102\tx5669\tx6236\tx6803\pardirnatural\partightenfactor0

\f0\fs24 \cf0 Process:               lazarus [3259]\
Path:                  /Library/Lazarus/lazarus.app/Contents/MacOS/lazarus\
Identifier:            lazarus.freepascal.ide\
Version:               2.0.10 (0)\
Code Type:             X86-64 (Native)\
Parent Process:        ??? [1]\
Responsible:           lazarus [3259]\
\
Date/Time:             2020-08-05 07:38:59.525 +0200\
OS Version:            Mac OS X 10.13.6 (17G10021)\
Report Version:        12\
\
Time Awake Since Boot: 1400 seconds\
\
System Integrity Protection: enabled\
\
Crashed Thread:        0  Dispatch queue: com.apple.main-thread\
\
Exception Type:        EXC_CRASH (SIGABRT)\
Exception Codes:       0x0000000000000000, 0x0000000000000000\
Exception Note:        EXC_CORPSE_NOTIFY\
\
Application Specific Information:\
*** Terminating app due to uncaught exception 'NSInvalidArgumentException', reason: '-[ClientApplication lclSyncCheck:]: unrecognized selector sent to instance 0x600000123f20'\
terminating with uncaught exception of type NSException\
abort() called\
\
Application Specific Backtrace 1:\
0   CoreFoundation                      0x00007fff498bfd7b __exceptionPreprocess + 171\
1   libobjc.A.dylib                     0x00007fff70b7cc76 objc_exception_throw + 48\
2   CoreFoundation                      0x00007fff499588d4 -[NSObject(NSObject) doesNotRecognizeSelector:] + 132\
3   CoreFoundation                      0x00007fff49835660 ___forwarding___ + 1456\
4   CoreFoundation                      0x00007fff49835028 _CF_forwarding_prep_0 + 120\
5   Foundation                          0x00007fff4b980995 __NSThreadPerformPerform + 334\
6   CoreFoundation                      0x00007fff49857851 __CFRUNLOOP_IS_CALLING_OUT_TO_A_SOURCE0_PERFORM_FUNCTION__ + 17\
7   CoreFoundation                      0x00007fff49911e4c __CFRunLoopDoSource0 + 108\
8   CoreFoundation                      0x00007fff4983a2b0 __CFRunLoopDoSources0 + 208\
9   CoreFoundation                      0x00007fff4983972d __CFRunLoopRun + 1293\
10  CoreFoundation                      0x00007fff49838f93 CFRunLoopRunSpecific + 483\
11  HIToolbox                           0x00007fff48b23d96 RunCurrentEventLoopInMode + 286\
12  HIToolbox                           0x00007fff48b23a0f ReceiveNextEventCommon + 366\
13  HIToolbox                           0x00007fff48b23884 _BlockUntilNextEventMatchingListInModeWithFilter + 64\
14  AppKit                              0x00007fff46dd0a3b _DPSNextEvent + 2085\
15  AppKit                              0x00007fff47566e34 -[NSApplication(NSEvent) _nextEventMatchingEventMask:untilDate:inMode:dequeue:] + 3044\
16  lazarus                             0x000000010919a95c COCOAINT$_$TCOCOAWIDGETSET_$__$$_APPRUNMESSAGES$BOOLEAN$NSDATE + 116\
17  lazarus                             0x000000010919a9e5 COCOAINT$_$TCOCOAWIDGETSET_$__$$_APPPROCESSMESSAGES + 29\
18  lazarus                             0x0000000109012a99 FORMS$_$TAPPLICATION_$__$$_PROCESSMESSAGES + 89\
19  lazarus                             0x0000000108face05 PASCALMAIN + 349\
20  lazarus                             0x0000000108fccc44 FPC_SysEntry + 12\
21  libdyld.dylib                       0x00007fff7179a015 start + 1\
\
Thread 0 Crashed:: Dispatch queue: com.apple.main-thread\
0   libsystem_kernel.dylib        	0x00007fff718eab66 __pthread_kill + 10\
1   libsystem_pthread.dylib       	0x00007fff71ab5080 pthread_kill + 333\
2   libsystem_c.dylib             	0x00007fff718461ae abort + 127\
3   libc++abi.dylib               	0x00007fff6f73df8f abort_message + 245\
4   libc++abi.dylib               	0x00007fff6f73e12b default_terminate_handler() + 265\
5   libobjc.A.dylib               	0x00007fff70b7eea3 _objc_terminate() + 97\
6   libc++abi.dylib               	0x00007fff6f7597c9 std::__terminate(void (*)()) + 8\
7   libc++abi.dylib               	0x00007fff6f75947a __cxa_rethrow + 99\
8   libobjc.A.dylib               	0x00007fff70b7d139 objc_exception_rethrow + 40\
9   com.apple.CoreFoundation      	0x00007fff4983902e CFRunLoopRunSpecific + 638\
10  com.apple.HIToolbox           	0x00007fff48b23d96 RunCurrentEventLoopInMode + 286\
11  com.apple.HIToolbox           	0x00007fff48b23a0f ReceiveNextEventCommon + 366\
12  com.apple.HIToolbox           	0x00007fff48b23884 _BlockUntilNextEventMatchingListInModeWithFilter + 64\
13  com.apple.AppKit              	0x00007fff46dd0a3b _DPSNextEvent + 2085\
14  com.apple.AppKit              	0x00007fff47566e34 -[NSApplication(NSEvent) _nextEventMatchingEventMask:untilDate:inMode:dequeue:] + 3044\
15  lazarus.freepascal.ide        	0x000000010919a95c COCOAINT$_$TCOCOAWIDGETSET_$__$$_APPRUNMESSAGES$BOOLEAN$NSDATE + 116 (cocoaobject.inc:90)\
16  lazarus.freepascal.ide        	0x000000010919a9e5 COCOAINT$_$TCOCOAWIDGETSET_$__$$_APPPROCESSMESSAGES + 29 (cocoaobject.inc:115)\
17  lazarus.freepascal.ide        	0x0000000109012a99 FORMS$_$TAPPLICATION_$__$$_PROCESSMESSAGES + 89 (application.inc:383)\
18  lazarus.freepascal.ide        	0x0000000108face05 PASCALMAIN + 349 (lazarus.pp:139)\
19  lazarus.freepascal.ide        	0x0000000108fccc44 FPC_SysEntry + 12\
20  libdyld.dylib                 	0x00007fff7179a015 start + 1\
\
Thread 1:\
0   libsystem_pthread.dylib       	0x00007fff71ab1bdc start_wqthread + 0\
\
Thread 2:\
0   libsystem_pthread.dylib       	0x00007fff71ab1bdc start_wqthread + 0\
1   ???                           	0x0000000000060002 0 + 393218\
\
Thread 3:\
0   libsystem_kernel.dylib        	0x00007fff718eb28a __workq_kernreturn + 10\
1   libsystem_pthread.dylib       	0x00007fff71ab220e _pthread_wqthread + 1552\
2   libsystem_pthread.dylib       	0x00007fff71ab1be9 start_wqthread + 13\
\
Thread 4:\
0   libsystem_pthread.dylib       	0x00007fff71ab1bdc start_wqthread + 0\
1   ???                           	0x007865646e496d65 0 + 33888479226719589\
\
Thread 5:\
0   libsystem_pthread.dylib       	0x00007fff71ab1bdc start_wqthread + 0\
1   com.apple.CoreFoundation      	0x00007fff497bd240 CFBasicHashAddValue + 3984\
\
Thread 6:\
0   libsystem_kernel.dylib        	0x00007fff718ead82 __semwait_signal + 10\
1   libsystem_c.dylib             	0x00007fff71865724 nanosleep + 199\
2   lazarus.freepascal.ide        	0x0000000108ffe2b1 SYSUTILS_$$_SLEEP$LONGWORD + 73\
3   lazarus.freepascal.ide        	0x000000010908a678 CLASSES_$$_THREADFUNC$POINTER$$INT64 + 184\
4   libsystem_pthread.dylib       	0x00007fff71ab250d _pthread_start + 377\
5   libsystem_pthread.dylib       	0x00007fff71ab1bf9 thread_start + 13\
\
Thread 0 crashed with X86 Thread State (64-bit):\
  rax: 0x0000000000000000  rbx: 0x00007fffaa1cc380  rcx: 0x00007ffee6c53bd8  rdx: 0x0000000000000000\
  rdi: 0x0000000000000307  rsi: 0x0000000000000006  rbp: 0x00007ffee6c53c10  rsp: 0x00007ffee6c53bd8\
   r8: 0x00007ffee6c53aa0   r9: 0x00007ffee6c53c70  r10: 0x0000000000000000  r11: 0x0000000000000206\
  r12: 0x0000000000000307  r13: 0x0000000000000030  r14: 0x0000000000000006  r15: 0x000000000000002d\
  rip: 0x00007fff718eab66  rfl: 0x0000000000000206  cr2: 0x00007fffaa1a9168\
  \
Logical CPU:     0\
Error Code:      0x02000148\
Trap Number:     133\
\
\
Binary Images:\
       0x108fab000 -        0x10a351ffb +lazarus.freepascal.ide (2.0.10 - 0) <D9173123-422B-332D-AD49-666C622F07F1> /Library/Lazarus/lazarus.app/Contents/MacOS/lazarus\
       0x1124e0000 -        0x112617ff7  com.apple.AMDMTLBronzeDriver (1.68.24 - 1.6.8) <B9A02896-5C8A-30DC-9B9A-6B06D317B2A3> /System/Library/Extensions/AMDMTLBronzeDriver.bundle/Contents/MacOS/AMDMTLBronzeDriver\
       0x117df3000 -        0x117e3dadf  dyld (551.5) <ACC6AC7F-EAD9-340E-B2A8-AD26FE5B387B> /usr/lib/dyld\
    0x7fff45d29000 -     0x7fff45d29fff  com.apple.Accelerate (1.11 - Accelerate 1.11) <8632A9C5-19EA-3FD7-A44D-80765CC9C540> /System/Library/Frameworks/Accelerate.framework/Versions/A/Accelerate\
    0x7fff45d2a000 -     0x7fff45d40fef  libCGInterfaces.dylib (417.2) <E08ADB62-DF87-3BC8-81C6-60438991D4E1> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vImage.framework/Versions/A/Libraries/libCGInterfaces.dylib\
    0x7fff45d41000 -     0x7fff4623ffc3  com.apple.vImage (8.1 - ???) <A243A7EF-0C8E-3A9A-AA38-44AFD7507F00> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vImage.framework/Versions/A/vImage\
    0x7fff46240000 -     0x7fff4639afe3  libBLAS.dylib (1211.50.2) <62C659EB-3E32-3B5F-83BF-79F5DF30D5CE> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBLAS.dylib\
    0x7fff4639b000 -     0x7fff463c9fef  libBNNS.dylib (38.1) <7BAEFDCA-3227-3E07-80D8-59B6370B89C6> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBNNS.dylib\
    0x7fff463ca000 -     0x7fff46789ff7  libLAPACK.dylib (1211.50.2) <40ADBA5F-8B2D-30AC-A7AD-7B17C37EE52D> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLAPACK.dylib\
    0x7fff4678a000 -     0x7fff4679fff7  libLinearAlgebra.dylib (1211.50.2) <E8E0B7FD-A0B7-31E5-AF01-81781F71EBBE> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLinearAlgebra.dylib\
    0x7fff467a0000 -     0x7fff467a5ff3  libQuadrature.dylib (3) <3D6BF66A-55B2-3692-BAC7-DEB0C676ED29> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libQuadrature.dylib\
    0x7fff467a6000 -     0x7fff46826fff  libSparse.dylib (79.50.2) <0DC25CDD-F8C1-3D6E-B472-8B060708424F> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libSparse.dylib\
    0x7fff46827000 -     0x7fff4683afff  libSparseBLAS.dylib (1211.50.2) <722573CC-31CC-34B2-9032-E4F652A9CCFE> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libSparseBLAS.dylib\
    0x7fff4683b000 -     0x7fff469e8fc3  libvDSP.dylib (622.50.5) <40690941-CF89-3F90-A0AC-A4D200744A5D> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvDSP.dylib\
    0x7fff469e9000 -     0x7fff46a9afff  libvMisc.dylib (622.50.5) <BA2532DF-2D68-3DD0-9B59-D434BF702AA4> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvMisc.dylib\
    0x7fff46a9b000 -     0x7fff46a9bfff  com.apple.Accelerate.vecLib (3.11 - vecLib 3.11) <54FF3B43-E66C-3F36-B34B-A2B3B0A36502> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/vecLib\
    0x7fff46d8f000 -     0x7fff47bedfff  com.apple.AppKit (6.9 - 1561.61.100) <E08E4FD1-41F6-387C-A5B0-EF7CA0BDAA78> /System/Library/Frameworks/AppKit.framework/Versions/C/AppKit\
    0x7fff47c3f000 -     0x7fff47c3ffff  com.apple.ApplicationServices (48 - 50) <0E4AA883-7EFC-36EE-8B8E-E226E2C37965> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/ApplicationServices\
    0x7fff47c40000 -     0x7fff47ca6fff  com.apple.ApplicationServices.ATS (377 - 445.5) <703CE7E4-426A-35C0-A229-F140F30F5340> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/ATS\
    0x7fff47d3f000 -     0x7fff47e61fff  libFontParser.dylib (222.1.7) <9C4CEFB4-0F08-3B60-BD50-0120A37F6EA2> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libFontParser.dylib\
    0x7fff47e62000 -     0x7fff47eadff7  libFontRegistry.dylib (221.6) <30C6D1DE-C0E3-3447-A0EF-829443D95F0E> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libFontRegistry.dylib\
    0x7fff47f52000 -     0x7fff47f85ff7  libTrueTypeScaler.dylib (222.1.7) <E401BD38-5F0E-382F-B4CB-AC6063871C0F> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libTrueTypeScaler.dylib\
    0x7fff47fef000 -     0x7fff47ff3ff3  com.apple.ColorSyncLegacy (4.13.0 - 1) <A5FB2694-1559-34A8-A3D3-2029F68A63CA> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ColorSyncLegacy.framework/Versions/A/ColorSyncLegacy\
    0x7fff48093000 -     0x7fff480e5ffb  com.apple.HIServices (1.22 - 625) <78A1FB4F-A39C-3159-B285-600C997335FB> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/HIServices.framework/Versions/A/HIServices\
    0x7fff480e6000 -     0x7fff480f4fff  com.apple.LangAnalysis (1.7.0 - 1.7.0) <B65FF7E6-E9B5-34D8-8CA7-63D415A8A9A6> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LangAnalysis.framework/Versions/A/LangAnalysis\
    0x7fff480f5000 -     0x7fff48141fff  com.apple.print.framework.PrintCore (13.4 - 503.2) <B90C67C1-0292-3CEC-885D-F1882CD104BE> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/PrintCore.framework/Versions/A/PrintCore\
    0x7fff48142000 -     0x7fff4817cfff  com.apple.QD (3.12 - 404.2) <38B20AFF-9D54-3B52-A6DC-C0D71380AA5F> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/QD.framework/Versions/A/QD\
    0x7fff4817d000 -     0x7fff48189fff  com.apple.speech.synthesis.framework (7.8.1 - 7.8.1) <A08DE016-C8F2-3B0E-BD34-15959D13DBF0> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/SpeechSynthesis.framework/Versions/A/SpeechSynthesis\
    0x7fff4818a000 -     0x7fff48418ff7  com.apple.audio.toolbox.AudioToolbox (1.14 - 1.14) <514DC09A-54F3-3136-9FEF-F090208FBBE5> /System/Library/Frameworks/AudioToolbox.framework/Versions/A/AudioToolbox\
    0x7fff4841a000 -     0x7fff4841afff  com.apple.audio.units.AudioUnit (1.14 - 1.14) <294802B9-E24D-34EB-973F-6D2B8E2E86CB> /System/Library/Frameworks/AudioUnit.framework/Versions/A/AudioUnit\
    0x7fff4873d000 -     0x7fff48adafff  com.apple.CFNetwork (902.5 - 902.5) <2D37E75A-42FD-3CDE-BAE3-D4228EF813F0> /System/Library/Frameworks/CFNetwork.framework/Versions/A/CFNetwork\
    0x7fff48af4000 -     0x7fff48df9fff  com.apple.HIToolbox (2.1.1 - 911.10) <BF7F9C0E-C732-3FB2-9BBC-362888BDA57B> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HIToolbox.framework/Versions/A/HIToolbox\
    0x7fff48e04000 -     0x7fff48e99ffb  com.apple.ink.framework (10.9 - 221) <5206C8B0-22DA-36C9-998E-846EDB626D5B> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Ink.framework/Versions/A/Ink\
    0x7fff48eda000 -     0x7fff48ee0fff  com.apple.speech.recognition.framework (6.0.3 - 6.0.3) <2ED8643D-B0C3-3F17-82A2-BBF13E6CBABC> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SpeechRecognition.framework/Versions/A/SpeechRecognition\
    0x7fff49001000 -     0x7fff49001fff  com.apple.Cocoa (6.11 - 22) <17A98C08-64CF-3232-80EE-E10BAF68778F> /System/Library/Frameworks/Cocoa.framework/Versions/A/Cocoa\
    0x7fff4900f000 -     0x7fff490c8fff  com.apple.ColorSync (4.13.0 - 3325) <D283C285-447D-3258-A7E4-59532123B8FF> /System/Library/Frameworks/ColorSync.framework/Versions/A/ColorSync\
    0x7fff49255000 -     0x7fff492e8ff7  com.apple.audio.CoreAudio (4.3.0 - 4.3.0) <EB35D3EC-56EA-33E6-98DC-BDC3A5FA8ACE> /System/Library/Frameworks/CoreAudio.framework/Versions/A/CoreAudio\
    0x7fff4934f000 -     0x7fff49378ffb  com.apple.CoreBluetooth (1.0 - 1) <E1335074-9D07-370E-8440-61C4874BAC56> /System/Library/Frameworks/CoreBluetooth.framework/Versions/A/CoreBluetooth\
    0x7fff49379000 -     0x7fff496cffef  com.apple.CoreData (120 - 851) <A2B59780-FB16-36A3-8EE0-E0EF072454E0> /System/Library/Frameworks/CoreData.framework/Versions/A/CoreData\
    0x7fff496d0000 -     0x7fff497b3fff  com.apple.CoreDisplay (99.14 - 99.14) <A1B91ADD-828D-33A0-8A92-CC3F83DF89D0> /System/Library/Frameworks/CoreDisplay.framework/Versions/A/CoreDisplay\
    0x7fff497b4000 -     0x7fff49c57fef  com.apple.CoreFoundation (6.9 - 1455.12) <DE73A96B-3187-3CAC-99BB-3AA2100CD755> /System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation\
    0x7fff49c59000 -     0x7fff4a269fef  com.apple.CoreGraphics (2.0 - 1161.21.3) <1C55160C-3703-3641-A6DA-17D4B8B2003E> /System/Library/Frameworks/CoreGraphics.framework/Versions/A/CoreGraphics\
    0x7fff4a26b000 -     0x7fff4a55afff  com.apple.CoreImage (13.0.0 - 579.5) <AAE2DFD0-9B0A-3D56-8A3E-C460BAF70394> /System/Library/Frameworks/CoreImage.framework/Versions/A/CoreImage\
    0x7fff4a92f000 -     0x7fff4a92ffff  com.apple.CoreServices (822.37 - 822.37) <7B04988B-C0D4-314E-8B3B-AE446B4A38CD> /System/Library/Frameworks/CoreServices.framework/Versions/A/CoreServices\
    0x7fff4a930000 -     0x7fff4a9a4ffb  com.apple.AE (735.2 - 735.2) <690A6F47-1306-371F-B257-783D8F83EA9E> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/AE.framework/Versions/A/AE\
    0x7fff4a9a5000 -     0x7fff4ac7cfff  com.apple.CoreServices.CarbonCore (1178.4.2 - 1178.4.2) <08AF7B7B-219B-3957-86CE-C96B423C823C> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CarbonCore.framework/Versions/A/CarbonCore\
    0x7fff4ac7d000 -     0x7fff4acb1fff  com.apple.DictionaryServices (1.2 - 284.2) <6505B075-41C3-3C62-A4C3-85CE3F6825CD> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/DictionaryServices.framework/Versions/A/DictionaryServices\
    0x7fff4acb2000 -     0x7fff4acbaffb  com.apple.CoreServices.FSEvents (1239.50.2 - 1239.50.2) <AC3A1A72-92B3-3746-BAED-44F2BB245653> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/FSEvents.framework/Versions/A/FSEvents\
    0x7fff4acbb000 -     0x7fff4ae79ff7  com.apple.LaunchServices (822.37 - 822.37) <6AA93307-220A-3417-BBC2-FE1C0DE0B652> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/LaunchServices.framework/Versions/A/LaunchServices\
    0x7fff4ae7a000 -     0x7fff4af2afff  com.apple.Metadata (10.7.0 - 1191.7) <1F7AC682-06A1-33D5-A9B8-0BCD934286E6> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Metadata.framework/Versions/A/Metadata\
    0x7fff4af2b000 -     0x7fff4af8bfff  com.apple.CoreServices.OSServices (822.37 - 822.37) <4AD2FC98-C6CB-392A-A22F-196A723D7FAE> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/OSServices.framework/Versions/A/OSServices\
    0x7fff4af8c000 -     0x7fff4affafff  com.apple.SearchKit (1.4.0 - 1.4.0) <3662545A-B1CF-3079-BDCD-C83855CEFEEE> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SearchKit.framework/Versions/A/SearchKit\
    0x7fff4affb000 -     0x7fff4b01fffb  com.apple.coreservices.SharedFileList (71.21 - 71.21) <1B5228EF-D869-3A50-A373-7F4B0289FADD> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SharedFileList.framework/Versions/A/SharedFileList\
    0x7fff4b2c0000 -     0x7fff4b410fff  com.apple.CoreText (352.0 - 578.22) <6129F39D-284D-3BBF-8999-7854AB61C01C> /System/Library/Frameworks/CoreText.framework/Versions/A/CoreText\
    0x7fff4b411000 -     0x7fff4b44bfff  com.apple.CoreVideo (1.8 - 0.0) <86CCC036-51BB-3DD1-9601-D93798BCCD0F> /System/Library/Frameworks/CoreVideo.framework/Versions/A/CoreVideo\
    0x7fff4b44c000 -     0x7fff4b4d7ff3  com.apple.framework.CoreWLAN (13.0 - 1350.2) <DC9E1B0B-FD96-38A7-A6E0-820CA414AA94> /System/Library/Frameworks/CoreWLAN.framework/Versions/A/CoreWLAN\
    0x7fff4b752000 -     0x7fff4b757fff  com.apple.DiskArbitration (2.7 - 2.7) <2F628584-8177-3894-92CE-9CA6089B61C6> /System/Library/Frameworks/DiskArbitration.framework/Versions/A/DiskArbitration\
    0x7fff4b918000 -     0x7fff4bcdfffb  com.apple.Foundation (6.9 - 1455.12) <54095045-C829-358F-B8EE-953F670492F5> /System/Library/Frameworks/Foundation.framework/Versions/C/Foundation\
    0x7fff4bd50000 -     0x7fff4bd80ff3  com.apple.GSS (4.0 - 2.0) <FC69A120-3C19-3802-87B4-C29217758143> /System/Library/Frameworks/GSS.framework/Versions/A/GSS\
    0x7fff4be92000 -     0x7fff4bf96ffb  com.apple.Bluetooth (6.0.7 - 6.0.7f16) <C75C43B6-1936-3E3C-94E6-B568D8CDD233> /System/Library/Frameworks/IOBluetooth.framework/Versions/A/IOBluetooth\
    0x7fff4bff6000 -     0x7fff4c091fff  com.apple.framework.IOKit (2.0.2 - 1445.71.6) <C68CE7ED-85CA-3D1F-BAA0-908327BEC0DE> /System/Library/Frameworks/IOKit.framework/Versions/A/IOKit\
    0x7fff4c093000 -     0x7fff4c09afff  com.apple.IOSurface (211.15 - 211.15) <9FD406F1-6BF2-35B0-8339-DF83A1A661EB> /System/Library/Frameworks/IOSurface.framework/Versions/A/IOSurface\
    0x7fff4c0f1000 -     0x7fff4c26bfef  com.apple.ImageIO.framework (3.3.0 - 1739.3.2) <604D4447-1D29-3B29-A2D0-FED25E1FC6B5> /System/Library/Frameworks/ImageIO.framework/Versions/A/ImageIO\
    0x7fff4c26c000 -     0x7fff4c270ffb  libGIF.dylib (1739.3.2) <4C4B82AB-2F5A-3B98-9A6A-4D8D6B79DA75> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libGIF.dylib\
    0x7fff4c271000 -     0x7fff4c358fe7  libJP2.dylib (1739.3.2) <A64CEB2C-3E18-3FFE-80B2-4F87233F3DF2> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libJP2.dylib\
    0x7fff4c359000 -     0x7fff4c37cff7  libJPEG.dylib (1739.3.2) <48E918B8-2621-3002-9626-E89C10063104> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libJPEG.dylib\
    0x7fff4c658000 -     0x7fff4c67efeb  libPng.dylib (1739.3.2) <3708AFF8-776C-3EE5-A197-70A30A4FFD9E> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libPng.dylib\
    0x7fff4c67f000 -     0x7fff4c681ffb  libRadiance.dylib (1739.3.2) <A5585B3A-0A75-3401-B29F-24FA1A7B0977> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libRadiance.dylib\
    0x7fff4c682000 -     0x7fff4c6d0fef  libTIFF.dylib (1739.3.2) <5F6ADFFB-0072-3176-9BA5-2313F2E2D99E> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libTIFF.dylib\
    0x7fff4d58a000 -     0x7fff4d5a3ff7  com.apple.Kerberos (3.0 - 1) <F86DCCDF-93C1-38B3-82C2-477C12E8EE6D> /System/Library/Frameworks/Kerberos.framework/Versions/A/Kerberos\
    0x7fff4df85000 -     0x7fff4e006fff  com.apple.Metal (125.30 - 125.30) <6B9EBDEE-C64C-3C1C-922A-0363B642C9BC> /System/Library/Frameworks/Metal.framework/Versions/A/Metal\
    0x7fff4e023000 -     0x7fff4e03efff  com.apple.MetalPerformanceShaders.MPSCore (1.0 - 1) <AD754E8F-CA00-3878-9AF3-208C224A230B> /System/Library/Frameworks/MetalPerformanceShaders.framework/Frameworks/MPSCore.framework/Versions/A/MPSCore\
    0x7fff4e03f000 -     0x7fff4e0aefef  com.apple.MetalPerformanceShaders.MPSImage (1.0 - 1) <338B7779-E608-3D68-8A07-2ACC11299744> /System/Library/Frameworks/MetalPerformanceShaders.framework/Frameworks/MPSImage.framework/Versions/A/MPSImage\
    0x7fff4e0af000 -     0x7fff4e0d3fff  com.apple.MetalPerformanceShaders.MPSMatrix (1.0 - 1) <9CE072D7-853B-3939-9645-7EB951376B87> /System/Library/Frameworks/MetalPerformanceShaders.framework/Frameworks/MPSMatrix.framework/Versions/A/MPSMatrix\
    0x7fff4e0d4000 -     0x7fff4e1bbff7  com.apple.MetalPerformanceShaders.MPSNeuralNetwork (1.0 - 1) <0DE891AD-27E5-38FF-AEC8-4A95356C4357> /System/Library/Frameworks/MetalPerformanceShaders.framework/Frameworks/MPSNeuralNetwork.framework/Versions/A/MPSNeuralNetwork\
    0x7fff4e1bc000 -     0x7fff4e1bcff7  com.apple.MetalPerformanceShaders.MetalPerformanceShaders (1.0 - 1) <2D2D261C-50B0-32F9-BF9A-5C01382BB528> /System/Library/Frameworks/MetalPerformanceShaders.framework/Versions/A/MetalPerformanceShaders\
    0x7fff4f1bb000 -     0x7fff4f1c7ffb  com.apple.NetFS (6.0 - 4.0) <471DD96F-FA2E-3FE9-9746-2519A6780D1A> /System/Library/Frameworks/NetFS.framework/Versions/A/NetFS\
    0x7fff51fb9000 -     0x7fff52013ff7  com.apple.opencl (2.8.24 - 2.8.24) <CF922AFD-CBA4-3B23-A0C1-E3E5362BB6C7> /System/Library/Frameworks/OpenCL.framework/Versions/A/OpenCL\
    0x7fff52014000 -     0x7fff52030ffb  com.apple.CFOpenDirectory (10.13 - 207.50.1) <29F55F7B-379F-3053-8FF3-5C6675A3DD4D> /System/Library/Frameworks/OpenDirectory.framework/Versions/A/Frameworks/CFOpenDirectory.framework/Versions/A/CFOpenDirectory\
    0x7fff52031000 -     0x7fff5203cfff  com.apple.OpenDirectory (10.13 - 207.50.1) <F895547D-4915-353F-9C1E-E95172BA803B> /System/Library/Frameworks/OpenDirectory.framework/Versions/A/OpenDirectory\
    0x7fff531bb000 -     0x7fff531bdfff  libCVMSPluginSupport.dylib (16.7.4) <6846D939-478C-3AE3-9DCD-CD4F4CD05409> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCVMSPluginSupport.dylib\
    0x7fff531be000 -     0x7fff531c3ffb  libCoreFSCache.dylib (162.9) <DD9DD721-2957-3D05-B361-70AF9EBFB280> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCoreFSCache.dylib\
    0x7fff531c4000 -     0x7fff531c8fff  libCoreVMClient.dylib (162.9) <4E4F3EA2-5B53-31A3-8256-54EFAA94E4D6> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCoreVMClient.dylib\
    0x7fff531c9000 -     0x7fff531d2ff3  libGFXShared.dylib (16.7.4) <6187AD8B-1CD2-3775-84CD-76A0EA8BCDD4> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGFXShared.dylib\
    0x7fff531d3000 -     0x7fff531defff  libGL.dylib (16.7.4) <2BB333D3-5C61-33DF-8545-06DF2D08B83D> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib\
    0x7fff531df000 -     0x7fff5321afe7  libGLImage.dylib (16.7.4) <4DA003CE-0B74-3FE4-808C-B2FBCE517EB4> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLImage.dylib\
    0x7fff53389000 -     0x7fff533c7ffb  libGLU.dylib (16.7.4) <BCB09CD8-EB0E-38FA-8B5A-9E29532EE364> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLU.dylib\
    0x7fff53d3f000 -     0x7fff53d4eff3  com.apple.opengl (16.7.4 - 16.7.4) <7B71A596-B6D8-335A-B7CA-8684D83B9C0E> /System/Library/Frameworks/OpenGL.framework/Versions/A/OpenGL\
    0x7fff54ba2000 -     0x7fff54deeff7  com.apple.QuartzCore (1.11 - 584.64.2) <DDA39332-DE09-3737-A332-0002AE05DD39> /System/Library/Frameworks/QuartzCore.framework/Versions/A/QuartzCore\
    0x7fff55625000 -     0x7fff55950fff  com.apple.security (7.0 - 58286.70.15) <4E3E9BE5-939F-3D3F-AAA3-153707997C6E> /System/Library/Frameworks/Security.framework/Versions/A/Security\
    0x7fff55951000 -     0x7fff559ddff7  com.apple.securityfoundation (6.0 - 55185.50.5) <EB62490A-AA77-3F51-86B3-03669C3897B3> /System/Library/Frameworks/SecurityFoundation.framework/Versions/A/SecurityFoundation\
    0x7fff55a0f000 -     0x7fff55a13ffb  com.apple.xpc.ServiceManagement (1.0 - 1) <E3146BBE-7F32-3605-AD2B-54C0E70759DC> /System/Library/Frameworks/ServiceManagement.framework/Versions/A/ServiceManagement\
    0x7fff55db8000 -     0x7fff55e28ff3  com.apple.SystemConfiguration (1.17 - 1.17) <CD4A4C66-7886-3323-A3B9-0C8952500856> /System/Library/Frameworks/SystemConfiguration.framework/Versions/A/SystemConfiguration\
    0x7fff58d25000 -     0x7fff58db8ff3  com.apple.APFS (1.0 - 1) <70133D37-FDD3-3B2C-B295-00BECEA7EDA8> /System/Library/PrivateFrameworks/APFS.framework/Versions/A/APFS\
    0x7fff599e5000 -     0x7fff59a0dfff  com.apple.framework.Apple80211 (13.0 - 1370.4) <B37A91A0-5823-3F97-B575-9BB804FCEB00> /System/Library/PrivateFrameworks/Apple80211.framework/Versions/A/Apple80211\
    0x7fff59a0f000 -     0x7fff59a1efef  com.apple.AppleFSCompression (96.60.1 - 1.0) <A7C875C4-F5EE-3272-AFB6-57C9FD5352B3> /System/Library/PrivateFrameworks/AppleFSCompression.framework/Versions/A/AppleFSCompression\
    0x7fff59b1d000 -     0x7fff59b28ff7  com.apple.AppleIDAuthSupport (1.0 - 1) <2FAF5567-CDB3-33EF-AB71-05D37F2248B7> /System/Library/PrivateFrameworks/AppleIDAuthSupport.framework/Versions/A/AppleIDAuthSupport\
    0x7fff59b62000 -     0x7fff59baaff3  com.apple.AppleJPEG (1.0 - 1) <8DD410CB-76A1-3F22-9A9F-0491FA0CEB4A> /System/Library/PrivateFrameworks/AppleJPEG.framework/Versions/A/AppleJPEG\
    0x7fff59be5000 -     0x7fff59c0dfff  com.apple.applesauce (1.0 - ???) <CCA8B094-1BCE-3AE3-A0A7-D544C818DE36> /System/Library/PrivateFrameworks/AppleSauce.framework/Versions/A/AppleSauce\
    0x7fff5a060000 -     0x7fff5a2f9ffb  com.apple.AuthKit (1.0 - 1) <6CA71A11-91C5-307C-B933-9FCDEDCB580A> /System/Library/PrivateFrameworks/AuthKit.framework/Versions/A/AuthKit\
    0x7fff5a430000 -     0x7fff5a437ff7  com.apple.coreservices.BackgroundTaskManagement (1.0 - 57.1) <51A41CA3-DB1D-3380-993E-99C54AEE518E> /System/Library/PrivateFrameworks/BackgroundTaskManagement.framework/Versions/A/BackgroundTaskManagement\
    0x7fff5a438000 -     0x7fff5a4bfff7  com.apple.backup.framework (1.9.6 - 1.9.6) <3C96FD26-C7F2-3F37-885A-5A71372FA8F4> /System/Library/PrivateFrameworks/Backup.framework/Versions/A/Backup\
    0x7fff5be79000 -     0x7fff5be82ff3  com.apple.CommonAuth (4.0 - 2.0) <21AF4AC2-E650-35F9-AB33-3EBA2769FBC0> /System/Library/PrivateFrameworks/CommonAuth.framework/Versions/A/CommonAuth\
    0x7fff5c996000 -     0x7fff5c9a6ff7  com.apple.CoreEmoji (1.0 - 69.3) <A4357F5C-0C38-3A61-B456-D7321EB2CEE5> /System/Library/PrivateFrameworks/CoreEmoji.framework/Versions/A/CoreEmoji\
    0x7fff5d13a000 -     0x7fff5d142ff3  com.apple.CorePhoneNumbers (1.0 - 1) <A5D41251-9F38-3AB9-9DE7-F77023FAAA44> /System/Library/PrivateFrameworks/CorePhoneNumbers.framework/Versions/A/CorePhoneNumbers\
    0x7fff5d2cd000 -     0x7fff5d2feff3  com.apple.CoreServicesInternal (309.1 - 309.1) <4ECD14EA-A493-3B84-A32F-CF928474A405> /System/Library/PrivateFrameworks/CoreServicesInternal.framework/Versions/A/CoreServicesInternal\
    0x7fff5d678000 -     0x7fff5d709fff  com.apple.CoreSymbolication (9.3 - 64026.2) <A8D4315F-5DD5-3164-8672-ECDAF2766644> /System/Library/PrivateFrameworks/CoreSymbolication.framework/Versions/A/CoreSymbolication\
    0x7fff5d78c000 -     0x7fff5d8c1fff  com.apple.coreui (2.1 - 494.1) <B2C515C3-FCE8-3B28-A225-05AD917F509B> /System/Library/PrivateFrameworks/CoreUI.framework/Versions/A/CoreUI\
    0x7fff5d8c2000 -     0x7fff5d9f3fff  com.apple.CoreUtils (5.6 - 560.11) <1A02D6F0-8C65-3FAE-AD63-56477EDE4773> /System/Library/PrivateFrameworks/CoreUtils.framework/Versions/A/CoreUtils\
    0x7fff5da48000 -     0x7fff5daacfff  com.apple.framework.CoreWiFi (13.0 - 1350.2) <50E8598A-0611-323D-B9A8-72A336424090> /System/Library/PrivateFrameworks/CoreWiFi.framework/Versions/A/CoreWiFi\
    0x7fff5daad000 -     0x7fff5dabdff7  com.apple.CrashReporterSupport (10.13 - 1) <A909F468-0648-3F51-A77E-3F9ADBC9A941> /System/Library/PrivateFrameworks/CrashReporterSupport.framework/Versions/A/CrashReporterSupport\
    0x7fff5db3c000 -     0x7fff5db4bff7  com.apple.framework.DFRFoundation (1.0 - 191.7) <9BBCCA62-F7BA-3B44-B044-E7C12ACC49F2> /System/Library/PrivateFrameworks/DFRFoundation.framework/Versions/A/DFRFoundation\
    0x7fff5db4e000 -     0x7fff5db52ffb  com.apple.DSExternalDisplay (3.1 - 380) <901B7F6D-376A-3848-99D0-170C4D00F776> /System/Library/PrivateFrameworks/DSExternalDisplay.framework/Versions/A/DSExternalDisplay\
    0x7fff5dbd4000 -     0x7fff5dc4afff  com.apple.datadetectorscore (7.0 - 590.3) <B4706195-CBE6-320D-A0E1-A9D4BDF52791> /System/Library/PrivateFrameworks/DataDetectorsCore.framework/Versions/A/DataDetectorsCore\
    0x7fff5dc98000 -     0x7fff5dcd8ff7  com.apple.DebugSymbols (181.0 - 181.0) <299A0238-ED78-3676-B131-274D972824AA> /System/Library/PrivateFrameworks/DebugSymbols.framework/Versions/A/DebugSymbols\
    0x7fff5dcd9000 -     0x7fff5de08fff  com.apple.desktopservices (1.12.5 - 1.12.5) <7739C9A5-64D9-31A5-899B-5FFA242AD70D> /System/Library/PrivateFrameworks/DesktopServicesPriv.framework/Versions/A/DesktopServicesPriv\
    0x7fff5ec1d000 -     0x7fff5f04bfff  com.apple.vision.FaceCore (3.3.2 - 3.3.2) <B574FE33-4A41-3611-9738-388EBAF03E37> /System/Library/PrivateFrameworks/FaceCore.framework/Versions/A/FaceCore\
    0x7fff60ca7000 -     0x7fff60ca7fff  libmetal_timestamp.dylib (802.4.8) <B428D084-681A-3A20-837D-6BCB3B2AE2A3> /System/Library/PrivateFrameworks/GPUCompiler.framework/Versions/3802/Libraries/libmetal_timestamp.dylib\
    0x7fff62313000 -     0x7fff62318fff  com.apple.GPUWrangler (3.20.17 - 3.20.17) <33899AB1-65AF-3E28-85D1-E152D358952D> /System/Library/PrivateFrameworks/GPUWrangler.framework/Versions/A/GPUWrangler\
    0x7fff6308e000 -     0x7fff6309dfff  com.apple.GraphVisualizer (1.0 - 5) <B993B8A2-5700-3DFC-9EB7-4CCEE8F959F1> /System/Library/PrivateFrameworks/GraphVisualizer.framework/Versions/A/GraphVisualizer\
    0x7fff63120000 -     0x7fff63194fff  com.apple.Heimdal (4.0 - 2.0) <BAE3D978-2285-35DF-907E-02BC37986D02> /System/Library/PrivateFrameworks/Heimdal.framework/Versions/A/Heimdal\
    0x7fff63a9d000 -     0x7fff63aa6fff  com.apple.IOAccelMemoryInfo (1.0 - 1) <93544EA1-AAC9-38B7-8588-02A04F1D76AD> /System/Library/PrivateFrameworks/IOAccelMemoryInfo.framework/Versions/A/IOAccelMemoryInfo\
    0x7fff63aa7000 -     0x7fff63aaeff7  com.apple.IOAccelerator (378.28 - 378.28) <BE5CBEAA-314E-348B-BE85-7E4B2E4C42FF> /System/Library/PrivateFrameworks/IOAccelerator.framework/Versions/A/IOAccelerator\
    0x7fff63ab2000 -     0x7fff63ac9fff  com.apple.IOPresentment (1.0 - 35.1) <53B47F2A-9A9A-33F5-ADCB-FF766292B93A> /System/Library/PrivateFrameworks/IOPresentment.framework/Versions/A/IOPresentment\
    0x7fff63e94000 -     0x7fff63ebaffb  com.apple.IconServices (97.6 - 97.6) <A56D826D-20D2-34BE-AACC-A80CFCB4E915> /System/Library/PrivateFrameworks/IconServices.framework/Versions/A/IconServices\
    0x7fff6413f000 -     0x7fff64152ff3  com.apple.security.KeychainCircle.KeychainCircle (1.0 - 1) <3A6D6354-9CD6-3EE5-B0AB-D25B02D4847D> /System/Library/PrivateFrameworks/KeychainCircle.framework/Versions/A/KeychainCircle\
    0x7fff64153000 -     0x7fff64248ff7  com.apple.LanguageModeling (1.0 - 159.5.3) <7F0AC200-E3DD-39FB-8A95-00DD70B66A9F> /System/Library/PrivateFrameworks/LanguageModeling.framework/Versions/A/LanguageModeling\
    0x7fff64249000 -     0x7fff6428bfff  com.apple.Lexicon-framework (1.0 - 33.5) <DC94CF9E-1EB4-3C0E-B298-CA1190885276> /System/Library/PrivateFrameworks/Lexicon.framework/Versions/A/Lexicon\
    0x7fff6428f000 -     0x7fff64296ff7  com.apple.LinguisticData (1.0 - 238.3) <49A54649-1021-3DBD-99B8-1B2EDFFA5378> /System/Library/PrivateFrameworks/LinguisticData.framework/Versions/A/LinguisticData\
    0x7fff64fa9000 -     0x7fff65012ff7  com.apple.gpusw.MetalTools (1.0 - 1) <B4217182-B2AA-3AA3-80E8-F4C80B71BDDC> /System/Library/PrivateFrameworks/MetalTools.framework/Versions/A/MetalTools\
    0x7fff651c4000 -     0x7fff651ddfff  com.apple.MobileKeyBag (2.0 - 1.0) <7D657BC6-B779-3E51-B50D-07C95791DD04> /System/Library/PrivateFrameworks/MobileKeyBag.framework/Versions/A/MobileKeyBag\
    0x7fff65269000 -     0x7fff65293ffb  com.apple.MultitouchSupport.framework (1614.1 - 1614.1) <A0709B43-FA9E-3617-8E7A-D68CDFAB2167> /System/Library/PrivateFrameworks/MultitouchSupport.framework/Versions/A/MultitouchSupport\
    0x7fff654fa000 -     0x7fff65505fff  com.apple.NetAuth (6.2 - 6.2) <2CFA1228-61A1-3708-988D-30499A1D6A9F> /System/Library/PrivateFrameworks/NetAuth.framework/Versions/A/NetAuth\
    0x7fff66d9e000 -     0x7fff66daeffb  com.apple.PerformanceAnalysis (1.194 - 194) <8022ED1F-CE70-388E-B37B-6FB1E5F90CF2> /System/Library/PrivateFrameworks/PerformanceAnalysis.framework/Versions/A/PerformanceAnalysis\
    0x7fff68b6d000 -     0x7fff68b8bfff  com.apple.ProtocolBuffer (1 - 260) <40704740-4A53-3010-A49B-08D1D69D1D5E> /System/Library/PrivateFrameworks/ProtocolBuffer.framework/Versions/A/ProtocolBuffer\
    0x7fff68d66000 -     0x7fff68d89ffb  com.apple.RemoteViewServices (2.0 - 125) <592323D1-CB44-35F1-9921-4C2AB8D920A0> /System/Library/PrivateFrameworks/RemoteViewServices.framework/Versions/A/RemoteViewServices\
    0x7fff6a6ad000 -     0x7fff6a7c2ff7  com.apple.Sharing (1050.22.6 - 1050.22.6) <1D71D23A-2544-386E-834C-7245F2FF1569> /System/Library/PrivateFrameworks/Sharing.framework/Versions/A/Sharing\
    0x7fff6a7ed000 -     0x7fff6a7eeff7  com.apple.performance.SignpostNotification (1.2.6 - 2.6) <8F04800F-3570-3392-A24D-B229FF03F7F9> /System/Library/PrivateFrameworks/SignpostNotification.framework/Versions/A/SignpostNotification\
    0x7fff6b54c000 -     0x7fff6b7e8fff  com.apple.SkyLight (1.600.0 - 312.103.11) <A4D01EC8-6CED-3AA3-98EA-CD89E2B6559B> /System/Library/PrivateFrameworks/SkyLight.framework/Versions/A/SkyLight\
    0x7fff6bfb1000 -     0x7fff6bfbefff  com.apple.SpeechRecognitionCore (4.6.1 - 4.6.1) <87EE7AB5-6925-3D21-BE00-F155CB457699> /System/Library/PrivateFrameworks/SpeechRecognitionCore.framework/Versions/A/SpeechRecognitionCore\
    0x7fff6cb64000 -     0x7fff6cbedfc7  com.apple.Symbolication (9.3 - 64033) <FAA17252-6378-34A4-BBBB-22DF54EC1626> /System/Library/PrivateFrameworks/Symbolication.framework/Versions/A/Symbolication\
    0x7fff6d15d000 -     0x7fff6d165ff7  com.apple.TCC (1.0 - 1) <E1EB7272-FE6F-39AB-83CA-B2B5F2A88D9B> /System/Library/PrivateFrameworks/TCC.framework/Versions/A/TCC\
    0x7fff6d372000 -     0x7fff6d42fff7  com.apple.TextureIO (3.7 - 3.7) <F8BAC954-405D-3CC3-AB7B-048C866EF980> /System/Library/PrivateFrameworks/TextureIO.framework/Versions/A/TextureIO\
    0x7fff6d4e0000 -     0x7fff6d690fff  com.apple.UIFoundation (1.0 - 547.9) <FD224A4A-D528-34DE-A956-51A04BD7F908> /System/Library/PrivateFrameworks/UIFoundation.framework/Versions/A/UIFoundation\
    0x7fff6ee0c000 -     0x7fff6ee0effb  com.apple.loginsupport (1.0 - 1) <D1232C1B-80EA-3DF8-9466-013695D0846E> /System/Library/PrivateFrameworks/login.framework/Versions/A/Frameworks/loginsupport.framework/Versions/A/loginsupport\
    0x7fff6ef75000 -     0x7fff6efa8ff7  libclosured.dylib (551.5) <112BC241-6626-3848-8DD8-B34B5B6F7ABC> /usr/lib/closure/libclosured.dylib\
    0x7fff6f062000 -     0x7fff6f09bff7  libCRFSuite.dylib (41) <FE5EDB68-2593-3C2E-BBAF-1C52D206F296> /usr/lib/libCRFSuite.dylib\
    0x7fff6f09c000 -     0x7fff6f0a7fff  libChineseTokenizer.dylib (28) <53633C9B-A3A8-36F7-A53C-432D802F4BB8> /usr/lib/libChineseTokenizer.dylib\
    0x7fff6f139000 -     0x7fff6f13aff3  libDiagnosticMessagesClient.dylib (104) <9712E980-76EE-3A89-AEA6-DF4BAF5C0574> /usr/lib/libDiagnosticMessagesClient.dylib\
    0x7fff6f171000 -     0x7fff6f33bff3  libFosl_dynamic.dylib (17.8) <C58ED77A-4986-31C2-994C-34DDFB8106F0> /usr/lib/libFosl_dynamic.dylib\
    0x7fff6f373000 -     0x7fff6f373fff  libOpenScriptingUtil.dylib (174) <610F0242-7CE5-3C86-951B-B646562694AF> /usr/lib/libOpenScriptingUtil.dylib\
    0x7fff6f4aa000 -     0x7fff6f4aeffb  libScreenReader.dylib (562.18.5) <0FEFDAC8-0FDF-38A0-AB88-A84E0DBA058F> /usr/lib/libScreenReader.dylib\
    0x7fff6f4af000 -     0x7fff6f4b0ffb  libSystem.B.dylib (1252.50.4) <E54FDA93-C9AE-38F0-B6FC-D8BA96220485> /usr/lib/libSystem.B.dylib\
    0x7fff6f543000 -     0x7fff6f543fff  libapple_crypto.dylib (109.50.15) <A8DEA8E9-5769-3C78-824D-969A98B94086> /usr/lib/libapple_crypto.dylib\
    0x7fff6f544000 -     0x7fff6f55aff7  libapple_nghttp2.dylib (1.24) <01402BC4-4822-3676-9C80-50D83F816424> /usr/lib/libapple_nghttp2.dylib\
    0x7fff6f55b000 -     0x7fff6f585ff3  libarchive.2.dylib (54) <8FC28DD8-E315-3C3E-95FE-D1D2CBE49888> /usr/lib/libarchive.2.dylib\
    0x7fff6f586000 -     0x7fff6f607fdf  libate.dylib (1.13.1) <178ACDAD-DE7E-346C-A613-1CBF7929AC07> /usr/lib/libate.dylib\
    0x7fff6f60b000 -     0x7fff6f60bff3  libauto.dylib (187) <A05C7900-F8C7-3E75-8D3F-909B40C19717> /usr/lib/libauto.dylib\
    0x7fff6f60c000 -     0x7fff6f6c5ffb  libboringssl.dylib (109.50.15) <373EECDD-D8EC-3081-B71D-705067DA9A0D> /usr/lib/libboringssl.dylib\
    0x7fff6f6c6000 -     0x7fff6f6d6ff3  libbsm.0.dylib (39) <6BC96A72-AFBE-34FD-91B1-748A530D8AE6> /usr/lib/libbsm.0.dylib\
    0x7fff6f6d7000 -     0x7fff6f6e4ffb  libbz2.1.0.dylib (38) <0A5086BB-4724-3C14-979D-5AD4F26B5B45> /usr/lib/libbz2.1.0.dylib\
    0x7fff6f6e5000 -     0x7fff6f73bfff  libc++.1.dylib (400.9) <7D3DACCC-3804-393C-ABC1-1A580FD00CB6> /usr/lib/libc++.1.dylib\
    0x7fff6f73c000 -     0x7fff6f760ff7  libc++abi.dylib (400.8.2) <EF5E37D7-11D9-3530-BE45-B986612D13E2> /usr/lib/libc++abi.dylib\
    0x7fff6f762000 -     0x7fff6f772fff  libcmph.dylib (6) <890DEC4C-4334-393C-8B56-7C8560BBED9D> /usr/lib/libcmph.dylib\
    0x7fff6f773000 -     0x7fff6f78afcf  libcompression.dylib (47.60.2) <543F07BF-2F2F-37D5-9866-E84BF659885B> /usr/lib/libcompression.dylib\
    0x7fff6fa35000 -     0x7fff6fa4dff7  libcoretls.dylib (155.50.1) <D350052E-DC4D-3185-ADBA-BA48EDCEE955> /usr/lib/libcoretls.dylib\
    0x7fff6fa4e000 -     0x7fff6fa4fff3  libcoretls_cfhelpers.dylib (155.50.1) <B297F5D8-F2FE-3566-A752-E9D998B9C039> /usr/lib/libcoretls_cfhelpers.dylib\
    0x7fff6ff20000 -     0x7fff6ff75ff3  libcups.2.dylib (462.2.9) <A105EE33-6A7E-392C-8B52-B0F1ABD5CAB0> /usr/lib/libcups.2.dylib\
    0x7fff700b5000 -     0x7fff700b5fff  libenergytrace.dylib (16) <A92AB8B8-B986-3CE6-980D-D55090FEF387> /usr/lib/libenergytrace.dylib\
    0x7fff700ec000 -     0x7fff700f1ff3  libheimdal-asn1.dylib (520.50.9) <EF65C17E-31CD-31DC-876C-BF3EF393099C> /usr/lib/libheimdal-asn1.dylib\
    0x7fff7011d000 -     0x7fff7020eff7  libiconv.2.dylib (51.50.1) <2FEC9707-3FAF-3828-A50D-8605086D060F> /usr/lib/libiconv.2.dylib\
    0x7fff7020f000 -     0x7fff70436ffb  libicucore.A.dylib (59181.0.1) <2CE6205F-D375-3BF5-AA0A-3254BC4773D0> /usr/lib/libicucore.A.dylib\
    0x7fff70483000 -     0x7fff70484fff  liblangid.dylib (128) <39C39393-0D05-301D-93B2-F224FC4949AA> /usr/lib/liblangid.dylib\
    0x7fff70485000 -     0x7fff7049effb  liblzma.5.dylib (10) <3D419A50-961F-37D2-8A01-3DC7AB7B8D18> /usr/lib/liblzma.5.dylib\
    0x7fff7049f000 -     0x7fff704b5ff7  libmarisa.dylib (9) <D6D2D55D-1D2E-3442-B152-B18803C0ABB4> /usr/lib/libmarisa.dylib\
    0x7fff70566000 -     0x7fff7078eff7  libmecabra.dylib (779.7.6) <F462F170-E872-3D09-B219-973D5E99C09F> /usr/lib/libmecabra.dylib\
    0x7fff70966000 -     0x7fff70ae1fff  libnetwork.dylib (1229.70.2) <E185D902-AC7F-3044-87C0-AE2887C59CE7> /usr/lib/libnetwork.dylib\
    0x7fff70b68000 -     0x7fff70f567e7  libobjc.A.dylib (723) <DD9E5EC5-B507-3249-B700-93433E2D5EDF> /usr/lib/libobjc.A.dylib\
    0x7fff70f69000 -     0x7fff70f6dfff  libpam.2.dylib (22) <7B4D2CE2-1438-387A-9802-5CEEFBF26F86> /usr/lib/libpam.2.dylib\
    0x7fff70f70000 -     0x7fff70fa8ff7  libpcap.A.dylib (79.20.3) <6A9D27FA-2780-3E96-8B2E-645638AC13AC> /usr/lib/libpcap.A.dylib\
    0x7fff71027000 -     0x7fff71043ffb  libresolv.9.dylib (65.1) <D9BB6307-71E4-3A94-A745-1FCA114C6894> /usr/lib/libresolv.9.dylib\
    0x7fff71094000 -     0x7fff71227ff7  libsqlite3.dylib (274.8.1) <FCAD6A57-829E-3701-B16E-1833D620E0E8> /usr/lib/libsqlite3.dylib\
    0x7fff713fb000 -     0x7fff7145bff3  libusrtcp.dylib (1229.70.2) <1E065228-D0E3-3808-9405-894056C6BEC0> /usr/lib/libusrtcp.dylib\
    0x7fff7145c000 -     0x7fff7145fffb  libutil.dylib (51.20.1) <216D18E5-0BAF-3EAF-A38E-F6AC37CBABD9> /usr/lib/libutil.dylib\
    0x7fff71460000 -     0x7fff7146dff3  libxar.1.dylib (417.1) <351781D5-3CCF-320F-BB5A-4DFCC1CCD31D> /usr/lib/libxar.1.dylib\
    0x7fff71471000 -     0x7fff71558ff7  libxml2.2.dylib (31.16) <CCDF1705-05BF-3F24-B242-1488455CE531> /usr/lib/libxml2.2.dylib\
    0x7fff71559000 -     0x7fff71581fff  libxslt.1.dylib (15.16) <57D56366-1E7B-356C-B2B8-F4688FF666E6> /usr/lib/libxslt.1.dylib\
    0x7fff71582000 -     0x7fff71594ffb  libz.1.dylib (70) <48C67CFC-940D-3857-8DAD-857774605352> /usr/lib/libz.1.dylib\
    0x7fff71630000 -     0x7fff71634ff7  libcache.dylib (80) <092479CB-1008-3A83-BECF-E115F24D13C1> /usr/lib/system/libcache.dylib\
    0x7fff71635000 -     0x7fff7163fff3  libcommonCrypto.dylib (60118.50.1) <029F5985-9B6E-3DCB-9B96-FD007678C6A7> /usr/lib/system/libcommonCrypto.dylib\
    0x7fff71640000 -     0x7fff71647fff  libcompiler_rt.dylib (62) <968B8E3F-3681-3230-9D78-BB8732024F6E> /usr/lib/system/libcompiler_rt.dylib\
    0x7fff71648000 -     0x7fff71651ffb  libcopyfile.dylib (146.50.5) <3885083D-50D8-3EEC-B481-B2E605180D7F> /usr/lib/system/libcopyfile.dylib\
    0x7fff71652000 -     0x7fff716d7ffb  libcorecrypto.dylib (562.70.3) <37AF8EC6-BF34-3D15-BC3A-A9B98F2427D4> /usr/lib/system/libcorecrypto.dylib\
    0x7fff7175f000 -     0x7fff71798ff7  libdispatch.dylib (913.60.3) <BF368549-2DFB-3530-B4CB-31D5EDAC4F2F> /usr/lib/system/libdispatch.dylib\
    0x7fff71799000 -     0x7fff717b6ff7  libdyld.dylib (551.5) <49BF9E96-8297-30CF-8AA6-128CC14054B2> /usr/lib/system/libdyld.dylib\
    0x7fff717b7000 -     0x7fff717b7ffb  libkeymgr.dylib (28) <E34E283E-90FA-3C59-B48E-1277CDB9CDCE> /usr/lib/system/libkeymgr.dylib\
    0x7fff717b8000 -     0x7fff717c4ff3  libkxld.dylib (4570.71.63) <FA731E5F-625D-30E2-A970-8FA415906FA8> /usr/lib/system/libkxld.dylib\
    0x7fff717c5000 -     0x7fff717c5ff7  liblaunch.dylib (1205.70.12) <4950A0B3-5EE1-3F9A-8B1A-94FB85FCCA2C> /usr/lib/system/liblaunch.dylib\
    0x7fff717c6000 -     0x7fff717caffb  libmacho.dylib (906) <1902A611-081A-3452-B11E-EBD1B166E831> /usr/lib/system/libmacho.dylib\
    0x7fff717cb000 -     0x7fff717cdfff  libquarantine.dylib (86.70.1) <94427FF6-D161-393E-8587-3E30C48E69B1> /usr/lib/system/libquarantine.dylib\
    0x7fff717ce000 -     0x7fff717cfff3  libremovefile.dylib (45) <711E18B2-5BBE-3211-A916-56740C27D17A> /usr/lib/system/libremovefile.dylib\
    0x7fff717d0000 -     0x7fff717e7fff  libsystem_asl.dylib (356.70.1) <39E46A6F-B228-3E78-B83E-1779F9707A39> /usr/lib/system/libsystem_asl.dylib\
    0x7fff717e8000 -     0x7fff717e8fff  libsystem_blocks.dylib (67) <17303FDF-0D2D-3963-B05E-B4DF63052D47> /usr/lib/system/libsystem_blocks.dylib\
    0x7fff717e9000 -     0x7fff71872ff7  libsystem_c.dylib (1244.50.9) <1187BFE8-4576-3247-8177-481554E1F9E7> /usr/lib/system/libsystem_c.dylib\
    0x7fff71873000 -     0x7fff71876ffb  libsystem_configuration.dylib (963.50.9) <A5DC1AFC-2C3E-3113-BE20-48F96064DB0F> /usr/lib/system/libsystem_configuration.dylib\
    0x7fff71877000 -     0x7fff7187affb  libsystem_coreservices.dylib (51) <486000D3-D8CB-3BE7-8EE5-8BF380DE6DF7> /usr/lib/system/libsystem_coreservices.dylib\
    0x7fff7187b000 -     0x7fff7187cfff  libsystem_darwin.dylib (1244.50.9) <09C21A4A-9EE0-388B-A9D9-DFF8F6758791> /usr/lib/system/libsystem_darwin.dylib\
    0x7fff7187d000 -     0x7fff71883ffb  libsystem_dnssd.dylib (878.70.4) <384F7843-0AE8-3D10-8F8D-37FCB912F875> /usr/lib/system/libsystem_dnssd.dylib\
    0x7fff71884000 -     0x7fff718cdff7  libsystem_info.dylib (517.30.1) <AB634A98-B8AA-3804-8436-38261FC8EC4D> /usr/lib/system/libsystem_info.dylib\
    0x7fff718ce000 -     0x7fff718f4ff7  libsystem_kernel.dylib (4570.71.63) <FE6431AB-0D4A-3FDC-BB0C-27BDC34D9A70> /usr/lib/system/libsystem_kernel.dylib\
    0x7fff718f5000 -     0x7fff71940fcb  libsystem_m.dylib (3147.50.1) <17570F46-566C-39FC-BEF6-635A355DD549> /usr/lib/system/libsystem_m.dylib\
    0x7fff71941000 -     0x7fff71960ff7  libsystem_malloc.dylib (140.50.7) <A45A484C-3BDE-3BC4-A219-726E3CB332D9> /usr/lib/system/libsystem_malloc.dylib\
    0x7fff71961000 -     0x7fff71a91ff7  libsystem_network.dylib (1229.70.2) <5E86B2DE-9E15-3354-8714-4094ED5F698D> /usr/lib/system/libsystem_network.dylib\
    0x7fff71a92000 -     0x7fff71a9cffb  libsystem_networkextension.dylib (767.70.2) <9DC03712-552D-3AEE-9519-B5ED70980B70> /usr/lib/system/libsystem_networkextension.dylib\
    0x7fff71a9d000 -     0x7fff71aa6ff3  libsystem_notify.dylib (172) <08012EC0-2CD2-34BE-BF93-E7F56491299A> /usr/lib/system/libsystem_notify.dylib\
    0x7fff71aa7000 -     0x7fff71aaeff7  libsystem_platform.dylib (161.50.1) <6355EE2D-5456-3CA8-A227-B96E8F1E2AF8> /usr/lib/system/libsystem_platform.dylib\
    0x7fff71aaf000 -     0x7fff71abafff  libsystem_pthread.dylib (301.50.1) <0E51CCBA-91F2-34E1-BF2A-FEEFD3D321E4> /usr/lib/system/libsystem_pthread.dylib\
    0x7fff71abb000 -     0x7fff71abefff  libsystem_sandbox.dylib (765.70.1) <553DFCC6-9D31-3B9C-AB7C-30F6F265786D> /usr/lib/system/libsystem_sandbox.dylib\
    0x7fff71abf000 -     0x7fff71ac0ff3  libsystem_secinit.dylib (30) <DE8D14E8-A276-3FF8-AE13-77F7040F33C1> /usr/lib/system/libsystem_secinit.dylib\
    0x7fff71ac1000 -     0x7fff71ac8ff7  libsystem_symptoms.dylib (820.60.3) <441C6CA0-5711-3BB1-8420-DDAC3D5272E1> /usr/lib/system/libsystem_symptoms.dylib\
    0x7fff71ac9000 -     0x7fff71addff7  libsystem_trace.dylib (829.70.2) <B7172373-7BBB-3D01-9BF5-77E7C8FB37C4> /usr/lib/system/libsystem_trace.dylib\
    0x7fff71adf000 -     0x7fff71ae4ff7  libunwind.dylib (35.3) <BEF3FB49-5604-3B5F-82B5-332B80023AC3> /usr/lib/system/libunwind.dylib\
    0x7fff71ae5000 -     0x7fff71b12ff7  libxpc.dylib (1205.70.12) <7B82608D-ED82-35C1-B13F-99855E25D6DC> /usr/lib/system/libxpc.dylib\
\
External Modification Summary:\
  Calls made by other processes targeting this process:\
    task_for_pid: 0\
    thread_create: 0\
    thread_set_state: 0\
  Calls made by this process:\
    task_for_pid: 0\
    thread_create: 0\
    thread_set_state: 0\
  Calls made by all processes on this machine:\
    task_for_pid: 5775\
    thread_create: 0\
    thread_set_state: 0\
\
VM Region Summary:\
ReadOnly portion of Libraries: Total=384.5M resident=0K(0%) swapped_out_or_unallocated=384.5M(100%)\
Writable regions: Total=107.9M written=0K(0%) resident=0K(0%) swapped_out=0K(0%) unallocated=107.9M(100%)\
 \
                                VIRTUAL   REGION \
REGION TYPE                        SIZE    COUNT (non-coalesced) \
===========                     =======  ======= \
Accelerate framework               128K        2 \
Activity Tracing                   256K        2 \
CG backing stores                 6036K        3 \
CG image                           260K        2 \
CoreGraphics                         8K        2 \
CoreImage                           24K        3 \
CoreUI image file                  180K        3 \
Kernel Alloc Once                    8K        2 \
MALLOC                            79.6M       43 \
MALLOC guard page                   48K       13 \
STACK GUARD                       56.0M        8 \
Stack                             14.5M        8 \
VM_ALLOCATE                       6700K       14 \
__DATA                            33.4M      218 \
__FONT_DATA                          4K        2 \
__LINKEDIT                       227.4M        5 \
__TEXT                           157.1M      224 \
__UNICODE                          560K        2 \
mapped file                       58.2M       15 \
shared memory                      628K        9 \
===========                     =======  ======= \
TOTAL                            640.7M      560 \
\
Model: iMac17,1, BootROM 428.0.0.0.0, 4 processors, Intel Core i5, 3,2 GHz, 16 GB, SMC 2.33f12\
Graphics: AMD Radeon R9 M390, AMD Radeon R9 M390, PCIe\
Memory Module: BANK 0/DIMM0, 8 GB, DDR3, 1867 MHz, 0x198, 0x4B48583138363643313153334C2F38472020\
Memory Module: BANK 1/DIMM0, 8 GB, DDR3, 1867 MHz, 0x198, 0x4B48583138363643313153334C2F38472020\
AirPort: spairport_wireless_card_type_airport_extreme (0x14E4, 0x14A), Broadcom BCM43xx 1.0 (7.77.37.33.1a1)\
Bluetooth: Version 6.0.7f16, 3 services, 27 devices, 1 incoming serial ports\
Network Service: Ethernet, en6\
Network Service: Wi-Fi, AirPort, en1\
Serial ATA Device: APPLE HDD ST1000DM003, 1 TB\
USB Device: USB 3.0 Bus\
USB Device: My Book 25EE\
USB Device: Bluetooth USB Host Controller\
USB Device: FaceTime HD Camera (Built-in)\
USB Device: Keyboard Hub\
USB Device: USB Mouse\
USB Device: Apple Keyboard\
FireWire Device: unknown_device, Unknown\
Thunderbolt Bus: iMac, Apple Inc., 28.1\
Thunderbolt Device: Thunderbolt to FireWire Adapter, Apple Inc., 3, 5.6\
}
Lazarus Crash.rtf (51,504 bytes)   

Dmitry Boyarintsev

2020-08-06 05:13

developer   ~0124596

Last edited: 2020-08-06 05:13

View 2 revisions

The change is required on fpCEF3 side, no on LCL.

Currently for Cocoa fpCEF3 package is initializing it's own NSApplication class, named ClientApplication (see cef3cocoa.pas).
I do believe that this is done for the some requirements of CEF Framework (that implemented Chromium for Cocoa).

But it immediately goes with the conflict of LCLCocoa implementation. LCLCocoa provide its own NSApplication class named TCocoaApplication. (TCocoaApplication implements lclSyncCheck method).

So, currently fpCEF3 is NOT compatible with LCL-Cocoa in any way. (It could be used for a Cocoa application, but not LCL Cocoa).

In theory, it's possible for LCL to allow the use of application class other than TCocoaApplication. With the condition that the class will be a child class to TCocoaApplication.
Which should satisfy the requirement of both CEF and LCL.

Yet, it will require changes in both fpCEF and LCL.

Dmitry Boyarintsev

2020-08-06 05:14

developer   ~0124597

Ideally, is that CEF doesn't require extra methods in NSApplication... but it's hard to know why these methods are needed there in the first place... AND if it's possible to avoid using those methods.

Dmitry Boyarintsev

2020-08-06 06:09

developer   ~0124598

There's a change in trunk r63693. This should be sufficient!

fpCEF3 package needs to do is the following:
* modify the declaration of ClientApplication to sub class for TCocoaApplication (declared at CocoaInt unit), instead of NSApplication class

In your application bundle Info.plist file you should specify NSPrinicpleClass attribute as "ClientApplication".
For example, after you build install the package into Lazarus, you'd need to open Lazarus Info.plist bundle and add "NSPrincipleClass" description there.

Dmitry Boyarintsev

2020-08-06 06:50

developer   ~0124599

actually, at this point of time, changing ClientApplication to subclass from TCocoaApplication should be sufficient

Issue History

Date Modified Username Field Change
2020-08-05 11:22 Martin New Issue
2020-08-05 11:22 Martin File Added: Configure Build Lazarus.png
2020-08-05 11:22 Martin File Added: Lazarus Crash.rtf
2020-08-06 05:13 Dmitry Boyarintsev Assigned To => Dmitry Boyarintsev
2020-08-06 05:13 Dmitry Boyarintsev Status new => resolved
2020-08-06 05:13 Dmitry Boyarintsev Resolution open => no change required
2020-08-06 05:13 Dmitry Boyarintsev LazTarget => -
2020-08-06 05:13 Dmitry Boyarintsev Widgetset Cocoa => Cocoa
2020-08-06 05:13 Dmitry Boyarintsev Note Added: 0124596
2020-08-06 05:13 Dmitry Boyarintsev Note Edited: 0124596 View Revisions
2020-08-06 05:14 Dmitry Boyarintsev Note Added: 0124597
2020-08-06 06:09 Dmitry Boyarintsev Note Added: 0124598
2020-08-06 06:09 Dmitry Boyarintsev Fixed in Revision => 63693
2020-08-06 06:09 Dmitry Boyarintsev Widgetset Cocoa => Cocoa
2020-08-06 06:50 Dmitry Boyarintsev Note Added: 0124599